SOLVED cPanel & WHM update failure in upcp script

lestat69

Member
Jul 30, 2016
12
2
53
New Jersey
cPanel Access Level
Root Administrator
Can anyone assist on finding a solution?

[2022-09-20 08:03:33 -0400] - Processing command `/usr/local/cpanel/scripts/find_outdated_services --auto`
[2022-09-20 08:04:20 -0400] [/usr/local/cpanel/scripts/find_outdated_services] Looking for outdated services …
[2022-09-20 08:04:20 -0400] [/usr/local/cpanel/scripts/find_outdated_services] Loaded plugins: langpacks, universal-hooks
[2022-09-20 08:04:20 -0400] [/usr/local/cpanel/scripts/find_outdated_services] Cleaning repos: EA4 cpanel-addons-production-feed cpanel-plugins base elrepo
[2022-09-20 08:04:20 -0400] [/usr/local/cpanel/scripts/find_outdated_services] : epel extras imunify360 imunify360-rollout-1 imunify360-rollout-2
[2022-09-20 08:04:20 -0400] [/usr/local/cpanel/scripts/find_outdated_services] : imunify360-rollout-3 imunify360-rollout-4 kernelcare
[2022-09-20 08:04:20 -0400] [/usr/local/cpanel/scripts/find_outdated_services] : mysql-connectors-community mysql-tools-community
[2022-09-20 08:04:20 -0400] [/usr/local/cpanel/scripts/find_outdated_services] : mysql57-community updates wp-toolkit-cpanel
[2022-09-20 08:04:20 -0400] [/usr/local/cpanel/scripts/find_outdated_services] : wp-toolkit-thirdparties
[2022-09-20 08:04:20 -0400] [/usr/local/cpanel/scripts/find_outdated_services] Other repos take up 760 k of disk space (use --verbose for details)
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] STDOUT: dbus.service
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] auditd.service
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] libvirtd.service
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services]
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services]
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] STDERR: Could not retrieve mirrorlist http://mirrors.elrepo.org/mirrors-elrepo.el7 error was
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] 14: curl#7 - "Failed connect to mirrors.elrepo.org:80; Connection refused"
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services]
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services]
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] Cpanel::Exception::ProcessFailed/(XID v8mzrq) An unknown error in the “Cpanel::Exception::ProcessFailed” package has occurred.
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] at /usr/local/cpanel/Cpanel/ProcessCheck/Outdated.pm line 409.
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] Cpanel::ProcessCheck::Outdated::_handle_stderr(Cpanel::SafeRun::Object=HASH(0x1dc9c58)) called at /usr/local/cpanel/Cpanel/ProcessCheck/Outdated.pm line 275
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] Cpanel::ProcessCheck::Outdated::_outdated_services_default() called at /usr/local/cpanel/Cpanel/ProcessCheck/Outdated.pm line 68
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] Cpanel::ProcessCheck::Outdated::eek:utdated_services() called at /usr/local/cpanel/scripts/find_outdated_services line 87
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] scripts::find_outdated_services::__ANON__() called at /usr/local/cpanel/3rdparty/perl/532/lib/perl5/cpanel_lib/Try/Tiny.pm line 96
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] eval {...} called at /usr/local/cpanel/3rdparty/perl/532/lib/perl5/cpanel_lib/Try/Tiny.pm line 91
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] Try::Tiny::try(CODE(0x19ea220), Try::Tiny::Catch=REF(0x122a4e0)) called at /usr/local/cpanel/scripts/find_outdated_services line 96
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] scripts::find_outdated_services::run(scripts::find_outdated_services=HASH(0x11fa1a0)) called at /usr/local/cpanel/scripts/find_outdated_services line 73
[2022-09-20 08:04:20 -0400] E [/usr/local/cpanel/scripts/find_outdated_services] The “/usr/local/cpanel/scripts/find_outdated_services --auto” command (process 4674) reported error number 255 when it ended.
[2022-09-20 08:04:20 -0400] The Administrator will be notified to review this output when this script completes
[2022-09-20 08:04:20 -0400] - Finished command `/usr/local/cpanel/scripts/find_outdated_services --auto` in 46.651 seconds
 
Last edited by a moderator:

cPRex

Jurassic Moderator
Staff member
Oct 19, 2014
12,498
1,971
363
cPanel Access Level
Root Administrator
Hey there! This doesn't look like an issue with the cPanel update, but instead looks like a problem with custom repositories on the machine. The elrepo mirror isn't something that is provided by cPanel or the operating system, so you may want to try temporarily disabling that, then running a "yum update" to confirm things are working well with Yum itself. After that works, I would also expect a full cPanel update to work properly.

Details on how to disable a repository can be found here:

 

lestat69

Member
Jul 30, 2016
12
2
53
New Jersey
cPanel Access Level
Root Administrator
Hey there! This doesn't look like an issue with the cPanel update, but instead looks like a problem with custom repositories on the machine. The elrepo mirror isn't something that is provided by cPanel or the operating system, so you may want to try temporarily disabling that, then running a "yum update" to confirm things are working well with Yum itself. After that works, I would also expect a full cPanel update to work properly.

Details on how to disable a repository can be found here:


Thank you for the information. I will give this a shot. Much appreciated!
 

celiac101

Well-Known Member
Dec 19, 2012
141
5
68
cPanel Access Level
Website Owner
I have this error as well, but it only began about 1 week ago with an upgrade to cpanel 106.0.7.

The reason I installed the elrepo repository was because they have this Apache 5 kernel:
  • 5.11.10-1.el7.elrepo
that seems to run fine on my system (CentOS v7.9.2009 STANDARD standard), and it runs faster than the standard Apache 3 kernel.

I've been running this setup for over a year now without issues, at least until this error, however, I have noticed that this Apache 5 kernel appears to not have been updated...at least the kernel's name has never changed.

Does anyone know who maintains this kernel, and if it is a good or bad idea to be running it? Are there security/hacking risks?

I definitely like that it is faster, but hope that there are no vulnerabilities associated with it.
 

celiac101

Well-Known Member
Dec 19, 2012
141
5
68
cPanel Access Level
Website Owner
Can I ask what harm this error message causes? Am I getting all normal updates for my server, or are some not working? I'd like to continue running the elrepo kernel and updates. Below is what I am receiving, but I can't really say if it means anything other than "we have a conflict here."

The cPanel & WHM update process failed for the following reason:

Maintenance ended; however, it did not exit cleanly (256). The following events were logged: "scripts/find_outdated_service". Review the update logs to determine why the update failed.

[2022-09-22 04:27:21 -0700] E [/usr/local/cpanel/scripts/find_outdated_services] STDOUT: ea-php74-php-fpm.service
[2022-09-22 04:27:21 -0700] E [/usr/local/cpanel/scripts/find_outdated_services] ea-php81-php-fpm.service
[2022-09-22 04:27:21 -0700] E [/usr/local/cpanel/scripts/find_outdated_services] httpd.service
[2022-09-22 04:27:21 -0700] E [/usr/local/cpanel/scripts/find_outdated_services]
...
[2022-09-22 04:27:37 -0700] Processing: Updating plugins data cache
[2022-09-22 04:27:37 -0700] - Processing command `/usr/local/cpanel/bin/refresh_plugin_cache`
[2022-09-22 04:27:37 -0700] - Finished command `/usr/local/cpanel/bin/refresh_plugin_cache` in 0.024 seconds
[2022-09-22 04:27:37 -0700] Processing: Ensuring SSL certificate information for CCS is up to date.
[2022-09-22 04:27:37 -0700] - Processing command `/usr/local/cpanel/scripts/ccs-check --run --ssl`
[2022-09-22 04:27:37 -0700] - Finished command `/usr/local/cpanel/scripts/ccs-check --run --ssl` in 0.007 seconds
[2022-09-22 04:27:37 -0700] Processing: Ensure cpanel-plugins yum repo exists
[2022-09-22 04:27:37 -0700] - Finished in 0.195 seconds
[2022-09-22 04:27:37 -0700] Processing: Checking Addon Licenses
[2022-09-22 04:27:37 -0700] - Finished in 0.003 seconds
[2022-09-22 04:27:37 -0700] Processing: Updating Public Suffix List
[2022-09-22 04:27:37 -0700] Processing: Checking End Of Life for current version.
[2022-09-22 04:27:38 -0700] - Finished in 0.175 seconds
[2022-09-22 04:27:38 -0700] Processing:
[2022-09-22 04:27:38 -0700] Maintenance complete.
=> Log closed Thu Sep 22 04:27:38 2022